Subject: [Bier] draft-ietf-bier-php-01

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 28 Nov 2018 21:09:58 +0000

Hi Ice,

The just posted -01 revision addresses your comments below.

I also added a paragraph about incremental transition, and updated some references.

Thanks.
Jeffrey

> -----Original Message-----
> From: IJsbrand Wijnands <[email-masked]>
> Sent: Tuesday, October 16, 2018 9:31 AM
> To: Jeffrey (Zhaohui) Zhang <[email-masked]>
> Cc: Antoni Przygienda <[email-masked]>; [email-masked]
> Subject: Re: [Bier] BIER WG adoption of https://datatracker.ietf.org/doc/draft-
> zzhang-bier-php/
> 
> Jeffrey,
> 
> Cool, I think taking it out is better.
> 
> Thx,
> 
> Ice.
> 
> > On 11 Oct 2018, at 20:09, Jeffrey (Zhaohui) Zhang <[email-masked]>
> wrote:
> >
> > Hi Ice,
> >
> > Ah. Did not think we really needed to do that, but I am also fine with taking it
> out.
> >
> > Thanks.
> > Jeffrey
> >
> >> -----Original Message-----
> >> From: IJsbrand Wijnands <[email-masked]>
> >> Sent: Wednesday, October 10, 2018 4:31 PM
> >> To: Jeffrey (Zhaohui) Zhang <[email-masked]>
> >> Cc: Antoni Przygienda <[email-masked]>; [email-masked]
> >> Subject: Re: [Bier] BIER WG adoption of
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__datatracker.ietf.org_doc_draft-
> 2D&d=DwIFaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=f7wsLGcfzAWDNS6XNTBZwj_OLAOsZZqdrR2IDAzeZqE&
> m=W2oO7BGmGTDGHkafJfSKpDXgYMuTP5WkD39bEULnups&s=HkkldCZaxaLq
> EKTEmOkbgjgNQTKpXrYU74Zo7TCGsw0&e=
> >> zzhang-bier-php/
> >>
> >> Hi Jeffrey,
> >>
> >> I’m proposing to remove this section of the draft:
> >>
> >> ***
> >> The payload after BIER header is IPv4 or IPv6 (i.e., the Proto
> >> field in the BIER header is 4 or 6).
> >> Notice that in this case the Destination Address in the IPv4/IPv6
> >> header must be in the address space for the BIER layer.
> >> ***
> >>
> >> If that is your thinking too, we are in sync.
> >>
> >>
> >> Thx,
> >>
> >> Ice.
> >>
> >>> On 10 Oct 2018, at 21:52, Jeffrey (Zhaohui) Zhang <[email-masked]>
> >> wrote:
> >>>
> >>> Hi Ice,
> >>>
> >>> I think we're on the same page - I said the following earlier:
> >>>
> >>>> More importantly, I would expect MVPN/GTM/EVPN kind of deployment
> is
> >> the more appropriate scenario, where there will be a VPN/BD label used,
> >> which can associate the packets with a virtual RPF interface. If we're just
> >> transitioning an existing PIM deployment to using BIER, then there is no
> explicit
> >> set of edge routers (the premise of PHP is really that some edge routers, like
> >> VPN/EVPN PEs, cannot be upgraded to support BIER forwarding) - we can
> just
> >> run PIM if a router does not support BIER yet.
> >>>
> >>> Notice the red text above – I am assuming you’re talking about BGP based
> >> overlay signaling.
> >>>
> >>> Jeffrey
> >>>
> >>>> -----Original Message-----
> >>>> From: IJsbrand Wijnands <[email-masked]>
> >>>> Sent: Wednesday, October 10, 2018 12:18 PM
> >>>> To: Jeffrey (Zhaohui) Zhang <[email-masked]>
> >>>> Cc: Antoni Przygienda <[email-masked]>; [email-masked]
> >>>> Subject: Re: [Bier] BIER WG adoption of
> >> https://urldefense.proofpoint.com/v2/url?u=https-
> >> 3A__datatracker.ietf.org_doc_draft-
> >> 2D&d=DwIFaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> >>
> ndb3voDTXcWzoCI&r=f7wsLGcfzAWDNS6XNTBZwj_OLAOsZZqdrR2IDAzeZqE&
> >> m=6NH_lDG9Fh-
> >>
> QvddiPTUCspTx6x_D6EEok2u0oAOis4w&s=MftHmWcEPIJPWFcQV8YlJ8ZJimUZ
> >> 67jpxRfRsFJcbXM&e=
> >>>> zzhang-bier-php/
> >>>>
> >>>> Jeffrey,
> >>>>
> >>>>>> The egress RPF would either disable the RPF check or specify any "core
> >>>> interfaces" to be expected incoming interface. This is similar to using
> P2MP
> >>>> tunnels to send multicast traffic w/o signaling (a deployment scenario
> that
> >> has
> >>>> been supported by certain vendors already).
> >>>>
> >>>> Thinking a bit more about this.. Disabling the RPF check I don’t like too
> >> much.
> >>>> Considering that modifications to the control-plane are allowed, it would
> >> be a
> >>>> good deployment practise to *always* advertise a downstream label, also
> >> for
> >>>> the global table scenario, maybe even make it mandatory for this
> solution...
> >>>> That way at least you can map the incoming interface to the BIER Virtual
> >>>> interface, which I think is good enough. Or, define
> >> BIER_IPV4_EXPLICIT_NULL
> >>>> and BIER_IPV6_EXPLICIT_NULL if we can get it. Something to consider..
> >>>>
> >>>> Thx,
> >>>>
> >>>> Ice.
> >